Skip to main content
`Ctrl`+`K`

# numpy.matlib.eye

matlib.eye(n, M=None, k=0, dtype=<class 'float'>, order='C')

  Return a matrix with ones on the diagonal and zeros elsewhere.

  Parameters:
    n int

      Number of rows in the output.

    M int, optional

      Number of columns in the output, defaults to n.

    k int, optional

      Index of the diagonal: 0 refers to the main diagonal, a positive value refers to an upper diagonal, and a negative value to a lower diagonal.

    dtype dtype, optional

      Data-type of the returned matrix.

    order{‘C’, ‘F’}, optional

      Whether the output should be stored in row-major (C-style) or column-major (Fortran-style) order in memory.

  Returns:
    I matrix

      A n x M matrix where all elements are equal to zero, except for the k-th diagonal, whose values are equal to one.

  See also

  `numpy.eye`

    Equivalent array function.

  `identity`

    Square identity matrix.

  Examples

      >>> import numpy.matlib
      >>> np.matlib.eye(3, k=1, dtype=float)
      matrix([[0.,  1.,  0.],
              [0.,  0.,  1.],
              [0.,  0.,  0.]])